package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EBrand;

/**
 * 品牌商Mapper接口
 * 
 * @author 邱贞招
 * @date 2024-07-31
 */
public interface EBrandMapper 
{
    /**
     * 查询品牌商
     * 
     * @param brandId 品牌商主键
     * @return 品牌商
     */
    public EBrand selectEBrandByBrandId(Long brandId);

    /**
     * 查询品牌商列表
     * 
     * @param eBrand 品牌商
     * @return 品牌商集合
     */
    public List<EBrand> selectEBrandList(EBrand eBrand);

    /**
     * 新增品牌商
     * 
     * @param eBrand 品牌商
     * @return 结果
     */
    public int insertEBrand(EBrand eBrand);

    /**
     * 修改品牌商
     * 
     * @param eBrand 品牌商
     * @return 结果
     */
    public int updateEBrand(EBrand eBrand);

    /**
     * 删除品牌商
     * 
     * @param brandId 品牌商主键
     * @return 结果
     */
    public int deleteEBrandByBrandId(Long brandId);

    /**
     * 批量删除品牌商
     * 
     * @param brandIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEBrandByBrandIds(Long[] brandIds);
}
