package com.ruoyi.system.service;

import com.ruoyi.system.domain.EFunction;
import com.ruoyi.system.domain.model.EModel;
import com.ruoyi.system.domain.model.EModelVO;

import java.util.List;

/**
 * 车辆型号Service接口
 *
 * @author 邱贞招
 * @date 2024-05-13
 */
public interface IEModelService
{
    /**
     * 查询车辆型号
     *
     * @param modelId 车辆型号主键
     * @return 车辆型号
     */
    public EModelVO selectEModelByModelId(Long modelId);

    /**
     * 查询车辆型号列表
     *
     * @param etModel 车辆型号
     * @return 车辆型号集合
     */
    public List<EModelVO> selectEModelList(EModel etModel);

    /**
     * 新增车辆型号
     *
     * @param etModel 车辆型号
     * @return 结果
     */
    public int insertEModel(EModel etModel);

    /**
     * 修改车辆型号
     *
     * @param etModel 车辆型号
     * @return 结果
     */
    public int updateEModel(EModel etModel);

    /**
     * 批量删除车辆型号
     *
     * @param modelIds 需要删除的车辆型号主键集合
     * @return 结果
     */
    public int deleteEModelByModelIds(Long[] modelIds);

    /**
     * 删除车辆型号信息
     *
     * @param modelId 车辆型号主键
     * @return 结果
     */
    public int deleteEModelByModelId(Long modelId);

    /**
     * 查询所有车辆型号数
     * @return
     */
    public int selectAllCount();

    /**
     * 根据车型id获取功能
     */
    List<EFunction> getFunctionListByModelId(Long modelId);
}
